Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm
Class SwarmEnvironmentCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.SwarmEnvironmentCImpl

public class SwarmEnvironmentCImpl
extends PhaseCImpl
implements SwarmEnvironmentS, SwarmEnvironmentC

Container object for Swarm globals. Container object for Swarm globals

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`SwarmEnvironmentCImpl()`
`SwarmEnvironmentCImpl(SwarmEnvironment nextPhase)`

Method Summary
`java.lang.Object` | `createBegin()`
`java.lang.Object` | `createEnd()`
`java.lang.Object` | `initSwarm$version$bugAddress$argCount$args(java.lang.String appName, java.lang.String version, java.lang.String bugAddress, int count, java.lang.String[] args)`
`java.lang.Object` | `setArguments(Arguments arguments)`
`java.lang.Object` | `setBatchMode(boolean batchMode)`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwarmEnvironmentCImpl

    public SwarmEnvironmentCImpl(SwarmEnvironment nextPhase)

### SwarmEnvironmentCImpl

    public SwarmEnvironmentCImpl()

Method Detail

### initSwarm$version$bugAddress$argCount$args

    public java.lang.Object initSwarm$version$bugAddress$argCount$args(java.lang.String appName,
                                                                       java.lang.String version,
                                                                       java.lang.String bugAddress,
                                                                       int count,
                                                                       java.lang.String[] args)

  Specified by:
    initSwarm$version$bugAddress$argCount$args in interface SwarmEnvironmentC

### createEnd

    public java.lang.Object createEnd()

  Specified by:
    createEnd in interface SwarmEnvironmentC

### setBatchMode

    public java.lang.Object setBatchMode(boolean batchMode)

  Specified by:
    setBatchMode in interface SwarmEnvironmentC

### setArguments

    public java.lang.Object setArguments(Arguments arguments)

  Specified by:
    setArguments in interface SwarmEnvironmentC

### createBegin

    public java.lang.Object createBegin()

  Specified by:
    createBegin in interface SwarmEnvironmentC

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD